import React from 'react';
import DateRangePicker from 'react-daterange-picker';
import "react-daterange-picker/dist/css/react-calendar.css";
import Moment from 'moment';
import { extendMoment } from 'moment-range';

const moment = extendMoment(Moment);

export default class DateTimeField extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  render() {
    let { date } = this.state;
    let { onSelect, placeholder } = this.props;

    return <>
      <input
        type="text"
        className="form-control"
        value={ date }
        onKeyDown={ this.onKeyDown }
        onClick={ this.onToggle }
        placeholder= { placeholder }
      />
      <DateRangePicker
        onSelect = { onSelect }
        selectionType="single"
        clearAriaLabel="Clear"
        value={moment(date)}
      />
    </>
  }

  onKeyDown = () => {
    if(e.key === 'Backspace') {
      this.setState({date: ''})
    } else {
      e.preventDefault();
      e.stopPropagation();
    }
  }

  onToggle = () => {
    this.setState({ isOpen: !this.state.isOpen });
  }
}
