import React, { Fragment } from 'react';
import { Row, Col } from 'reactstrap';
import Helpers from '../../utils/Helpers';

export default class Singular extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    let { section } = this.props;
    return <Fragment>
      {Helpers.inGroupOf(Object.keys(this.roleBasedSectionData()), section.props.cols).map((fieldLabels) => {
        return <Row key={Helpers.randomNumber} className="mt-2">
          {fieldLabels.map((fieldLabel) => {
            return <Col key={Helpers.randomNumber} sm={{ size: (12/section.props.cols) }}>
              <label className="fw-bold display-field-label">
                { fieldLabel }
              </label>
              { this.fieldComponent(section, fieldLabel) }
            </Col>
          })}
        </Row>
      })}
    </Fragment>
  }

  fieldComponent = (section, fieldLabel) => {
    debugger;
    return <span className="display-field-value">{section.getFieldValue(fieldLabel)}</span>
  }

  roleBasedSectionData = () => {
    let { sectionData } = this.props.section.props;

    if(this.props.section.sectionType === "SingularForm") {
      return Object.keys(sectionData).filter((fieldLabel) => {
        (typeof myVar !== 'string' && !(myVar instanceof String))
      }).reduce((filteredSecionData, fieldLabel) => {
        filteredSecionData[fieldLabel] = sectionData[fieldLabel];
      }, {});
    } else {
      return sectionData;
    }
  }
}
